# script.py

# Открываем файл data.txt для чтения с указанием кодировки utf-8
with open('data.txt', 'r', encoding='utf-8') as file:
    # Считываем все строки из файла
    data = file.readlines()

# Преобразуем данные: преобразуем все строки в верхний регистр
transformed_data = [line.upper() for line in data]

# Записываем изменённые данные в новый файл output.txt с указанием кодировки utf-8
with open('output.txt', 'w', encoding='utf-8') as output_file:
    output_file.writelines(transformed_data)

print("Данные успешно преобразованы и записаны в файл output.txt")